| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::CompositionPass::InputTex Struct Reference

Inputs (for material used for rendering the quad) More...

`#include <OgreCompositionPass.h>`

## Public Member Functions
| InputTex ()
| InputTex (const String &_name, size_t _mrtIndex=0)

## Public Attributes
size_t | mrtIndex
| MRT surface index if applicable. More...
String | name
| Name (local) of the input texture (empty == no input) More...

## Detailed Description

Inputs (for material used for rendering the quad)

## Constructor & Destructor Documentation

## ◆ InputTex() [1/2]

Ogre::CompositionPass::InputTex::InputTex | ( |  | ) |
| inline

## ◆ InputTex() [2/2]

Ogre::CompositionPass::InputTex::InputTex | ( | const String & | _name,
|  | size_t | _mrtIndex = `0`
| ) |  |
| inline

## Member Data Documentation

## ◆ name

String Ogre::CompositionPass::InputTex::name

Name (local) of the input texture (empty == no input)

## ◆ mrtIndex

size_t Ogre::CompositionPass::InputTex::mrtIndex

MRT surface index if applicable.

The documentation for this struct was generated from the following file:

- OgreCompositionPass.h